%define urwfonts %_x11libdir/X11/fonts/urw-ttf
Name: val-ttf
Version: 1.0
Release: alt10

Summary: Unicode True Type fonts from URW & Valek Filippov
License: GPL
Group: System/Fonts/True type
Url: ftp://ftp.gnome.ru/pub/fonts/releases
BuildArch: noarch

Source0: %url/urw-fonts-1.0.7pre14-ttf.tar.bz2
Source1: fonts.alias

PreReq: chkfontpath freetype fontconfig perl-base

%description
A set of Unicode True Type fonts from URW & Valek Filippov

%prep
%setup -q -c -n%name 

%install
mkdir -p $RPM_BUILD_ROOT%urwfonts
install -p -m644 \
	*.ttf %SOURCE1 \
	$RPM_BUILD_ROOT%urwfonts

cd $RPM_BUILD_ROOT%urwfonts
#%_x11bindir/xftcache . || touch XftCache
%_sbindir/ttmkfdir -f val -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir

%post
%_bindir/fc-cache
/usr/sbin/chkfontpath -q --add %urwfonts
if [ -x /usr/bin/gnome-font-install ]; then
  perl %{_datadir}/fonts/run-gnome-font-install \
	%{_bindir}/gnome-font-install %{_datadir} %{_datadir} > /dev/null 2>&1
fi
if [ -x /usr/bin/libgnomeprint-2.0-font-install ]; then
   %_bindir/libgnomeprint-2.0-font-install --smart > /dev/null 2>&1
fi  

%postun
if [ "$1" = 0 ]; then
	/usr/sbin/chkfontpath -q --remove %urwfonts
fi

%files
%urwfonts
%doc COPYING README ChangeLog

%changelog
* Fri Oct 04 2002 AEN <aen@altlinux.ru> 1.0-alt10
- pre14
- PreReq fontconfig, call fc-cache from %post
- added gnome-print script to %pre

* Mon Mar 04 2002 AEN <aen@logic.ru> 1.0-alt9
- pre7

* Wed Feb 06 2002 AEN <aen@logic.ru> 1.0-alt8
- pre7

* Fri Jan 18 2002 AEN <aen@logic.ru> 1.0-alt7
- pre4

* Fri Jan 04 2002 AEN <aen@logic.ru> 1.0-alt6
- 1.0.7pre2 from Valek

* Tue Sep 11 2001 AEN <aen@logic.ru> 1.0-alt5
- Fonudry: val
* Mon Sep 10 2001 AEN <aen@logic.ru> 1.0-alt4
- added -q to chkfontpath

* Fri Sep 7 2001 AEN <aen@logic.ru> 1.0-alt3
- new README from Valek

* Thu Sep 6 2001 AEN <aen@logic.ru> 1.0-alt2
- new snapshot from Valek
- ttmkfdir problem solved
- PreReq freetype

* Tue Sep 4 2001 AEN <aen@logic.ru> 1.0-alt1
- Initial revision.
